Subject: Re: [PATCH 1/3] powerpc/mpic: Fix confusion between hw_irq and virq

From: Grant Likely <[email-masked]>
Date: Mon, 23 Apr 2012 11:32:28 -0600

On Fri, 20 Apr 2012 13:29:34 +1000, Benjamin Herrenschmidt <[email-masked]> wrote:
> mpic_is_ipi() takes a virq and immediately converts it to a hw_irq.
> 
> However, one of the two call sites calls it with a ... hw_irq. The
> other call site also happens to have the hw_irq at hand, so let's
> change it to just take that as an argument. Also change mpic_is_tm()
> for consistency.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

Looks good to me.  Are you pushing these up to Linus for v3.4?

g.